<header class="navbar navbar-fixed-top navbar-inverse">
  <div class="container">
    <%= link_to "Bestage", root_path, id: "logo" %>
    <nav>
      <ul class="nav navbar-nav navbar-right">
        <% unless current_user.is_a? School %>
          <li><%= link_to "Scuola", schools_path %></li>
        <% end %>
        <% if logged_in? %>
          <% if current_user.is_a? Student %>
            <li><%= link_to "Aziende", companies_path %></li>
            <li><%= link_to "Match", matches_path %></li>
          <% elsif current_user.is_a? School %>
            <li><%= link_to "Aziende", companies_path %></li>
            <li><%= link_to "Studenti", students_path %></li>
            <li><%= link_to "Competenze", skills_path %></li>
            <li class="dropdown">
              <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                Nuovo <b class="caret"></b>
              </a>
              <ul class="dropdown-menu">
                <li><%= link_to "Studente", new_student_path %></li>
                <li><%= link_to "Competenza", new_skill_path %></li>
              </ul>
            </li>
          <% elsif current_user.is_a? Company %>
            <li><%= link_to "Stages", stages_path %></li>
          <% end %>
          <li><%= link_to current_user.name, current_user %></li>
          <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown">
             <span style="vertical-align: text-top"class="glyphicon glyphicon-cog"></span> <b class="caret"></b>
          </a>
          <ul class="dropdown-menu">
            <% if current_user.is_a? School %>
              <li>
                <%= link_to "Impostazioni", edit_school_path(current_user) %>
              </li>
            <% elsif current_user.is_a? Student %>
              <li>
                <%= link_to "Impostazioni", edit_student_path(current_user) %>
              </li>
            <% elsif current_user.is_a? Company %>
              <li>
                <%= link_to "Impostazioni", edit_company_path(current_user) %>
              </li>
            <% end %>
            <li class="divider"></li>
            <li><%= link_to "Log out", logout_path, method: "delete" %></li>
          </ul>
          </li>
        <% else %>
          <li><%= link_to "Log in", login_path %></li>
        <% end %>
      </ul>
    </nav>
  </div>
</header>
